
#include <AT89x51.H>
#include "Display.h"


// Lookup table for seven segment patterns of
// 0 to 9 digits.
code const unsigned char RealDigit[10] = {
								0x40, 0x79, 0x24,
								0x30, 0x19, 0x12,
								0x02, 0x78, 0x00,
								0x10
							   };

unsigned char Digit;

#define SSeg0 P3	// At Port P3.
#define SSeg1 P2	// At Port P2.

void Display(unsigned short Value)
{
	SSeg0 = RealDigit[Value % 10];
	SSeg1 = RealDigit[(Value / 10) % 10];
}

